package com.ims.eval.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *  本部--年度计划和年度完成情况--指标填写人员指定类
 * </p>
 *
 * @author author
 * @since 2025-02-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("evaluation_dept_process")
@ApiModel(value="EvaluationDeptProcess对象", description="")
public class EvaluationDeptProcess implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id")
    private String id;

    @ApiModelProperty(value = "业务类型 PLAN-计划  ASS-完成")
    private String businessType;

    @ApiModelProperty(value = "业务主键")
    private String businessId;

    @ApiModelProperty(value = "流程实例ID")
    private String instId;

    @ApiModelProperty(value = "部门ID")
    private String deptId;

    @ApiModelProperty(value = "部门编号")
    private String deptNo;

    @ApiModelProperty(value = "部门人员名称")
    private String deptPersonalName;

    @ApiModelProperty(value = "备注")
    private String remark;

	@ApiModelProperty(value = "部门名称")
	private String deptName;

	@ApiModelProperty(value = "考评年度")
	private String appraisalYear;


}
